{% extends 'bots/layout.html' %}
{% load humanize %}

{% block title %}Home{% endblock %}

{% block content %}
    <h1><code>Hell0 there, fell0w h00man!</code></h1>

    <div class="form-row">
        <div class="col">
            <form action="{% url 'bots:tick' %}" method="post">
                {% csrf_token %}
                <button type="submit" class="btn btn-primary">TICK</button>
            </form>

        </div>
        <div class="col">
            <form action="{% url 'bots:init' %}" method="post">
                {% csrf_token %}
                <button type="submit" class="btn btn-secondary">Initialize new bot</button>
            </form>

        </div>
    </div>

    <table class="table table-sm my-4">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Name</th>
            <th scope="col">Regent</th>
            <th scope="col">Active</th>
            <th scope="col">Color</th>
            <th scope="col">MA ID</th>
            <th scope="col">Login</th>
            <th scope="col">Password</th>
            <th scope="col">Army</th>
            <th scope="col">Army power</th>
            <th scope="col">Returns / expires</th>
            <th scope="col" colspan="3">Actions</th>
        </tr>
        </thead>
        <tbody>
        {% for bot in object_list %}
            <tr>
                <th scope="row">{{ bot.id }}</th>
                <td>{{ bot.name }}</td>
                <td>{{ bot.province }}</td>
                <td>
                    {% if bot.active %}
                        <span class="badge badge-success">Yes</span>
                    {% else %}
                        <span class="badge badge-light">No</span>
                    {% endif %}
                </td>
                <td><code>{{ bot.color }}</code></td>
                <td>{{ bot.ma_province_id }}</td>
                <td><code>{{ bot.ma_login }}</code></td>
                <td><code>{{ bot.ma_password }}</code></td>
                <td>{{ bot.army.label }} [{{ bot.army.id }}]</td>
                <td>{{ bot.army_power|intcomma }}</td>
                <td title="{{ bot.expires_returns_at }}">{{ bot.expires_returns_at|naturaltime }}</td>
                <td>
                    <form action="{% url 'bots:activate' bot_id=bot.id %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-sm btn-primary"{% if bot.active %} disabled{% endif %}>activate</button>
                    </form>
                </td>
                <td>
                    <form action="{% url 'bots:return_cs' bot_id=bot.id %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-sm btn-secondary"{% if not bot.active %} disabled{% endif %}>return CS</button>
                    </form>
                </td>
                <td>
                    <form action="{% url 'bots:retire' bot_id=bot.id %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-sm btn-warning"{% if not bot.active %} disabled{% endif %}>retire</button>
                    </form>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}